#include <REG936.H>

sbit led_rot = P3^0;

void main() {
	// LED Pin P3.0 als Open-Drain konfigurieren
	P3M1 = 0xFF;
	P3M2 = 0x01;

	// Ser0: Mode=1 REN=1
	SCON = 0x50;

	// SMOD=1
	PCON = 0x80;

	// Break-detect aktivieren um in den ISP Modus wechseln zu knnen
	AUXR1 |= 0x40;

	// 115200Bps bei 7,3728MHz
	BRGR0 = 0x30;
	BRGR1 = 0x00;
	BRGCON = 0x03;
	
	// LED einschalten
	led_rot = 0;
	
	// Endlosschleife
	while (1);
}
